package iiwa_msgs;

public interface MoveAlongJointSplineActionGoal extends org.ros.internal.message.Message {
  static final java.lang.String _TYPE = "iiwa_msgs/MoveAlongJointSplineActionGoal";
  static final java.lang.String _DEFINITION = "# ====== DO NOT MODIFY! AUTOGENERATED FROM AN ACTION DEFINITION ======\n\nHeader header\nactionlib_msgs/GoalID goal_id\niiwa_msgs/MoveAlongJointSplineGoal goal";
  std_msgs.Header getHeader();
  void setHeader(std_msgs.Header value);
  actionlib_msgs.GoalID getGoalId();
  void setGoalId(actionlib_msgs.GoalID value);
  iiwa_msgs.MoveAlongJointSplineGoal getGoal();
  void setGoal(iiwa_msgs.MoveAlongJointSplineGoal value);
}
